> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/mounting-docker-data-volume.md).

# Mounting a docker data volume

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

{% hint style="warning" %}
**Warning**

Please be aware that the performance of this volume is critical to the performance of the server in general, and that the server operates under the assumption that the files will not be modified or locked by another process. A latency gain will be incurred if using a shared volume for storing cached data.
{% endhint %}

As of version `WebViewer Server 1.5.0` mounting of the cache directory `/usr/local/apache-tomcat/static_data` with Docker to a local directory or another volume on your system is supported.

1. Mount your volume to /usr/local/apache-tomcat/static\_data

This can be done in docker-compose through the volumes specifier in `docker-compose.yml`:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
volume:
  /usr/local/apache-tomcat/static_data:/my_static_data_folder
```

{% endcode %}
{% endtab %}
{% endtabs %}

or through docker run

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
docker run -v /usr/local/apache-tomcat/apache-tomcat:/my_static_data_folder
```

{% endcode %}
{% endtab %}
{% endtabs %}

At this point all data created by the container will be copied to the mounted volume. WebViewer Server will continue to manage the cache within this volume.

It is possible to share a mounted volume with multiple WebViewer Servers, this will cause them to have a shared cache. This is not actively supported and prone to issues.

### Common Issues

There can sometimes be permissions issues when mounting data volumes. In order to avoid these, it is necessary for users to ensure the directory on the host server exists, and needs to be owned by the docker group with permissions set to `g+rxw`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/mounting-docker-data-volume.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
